\ProvidesPackage{jutitle}[Package for Thesis]
\RequirePackage{graphicx}
\RequirePackage{fancyhdr}
\RequirePackage{lastpage}
\RequirePackage{titlesec}
\RequirePackage{lmodern}
\RequirePackage{microtype}
\RequirePackage{color}
\RequirePackage{setspace}
\RequirePackage{mleftright,xparse}

\definecolor{chaptercolor}{gray}{0.8}
\setlength{\headheight}{15.2pt}
\pagestyle{fancy}
\fancyhf{}% Clear header/footer
\renewcommand{\headrulewidth}{0.0pt}
\lhead[
\textbf{\textcolor{gray}{{\textsf{\nouppercase \leftmark}}}}
]{
	\ifnum\value{chapter} > 0
	{\textsf{Chapter \thechapter}}
	\else {}
	\fi
}
\rhead[
\ifnum\value{chapter} > 0
{\textsf{Section \thesection}}
\else {}
\fi
]{\textbf{\textcolor{gray}{\textsc{\nouppercase \rightmark}}}}
\cfoot{page \textbf{\thepage}\ of \pageref*{LastPage}}

\definecolor{gray1}{gray}{0.1}
\definecolor{gray3}{gray}{0.3}
\definecolor{gray7}{gray}{0.7}

\hypersetup{
	colorlinks=true,
	linkcolor=gray3,
	citecolor=gray1,
	filecolor=magenta,      
	urlcolor=cyan,
}

\titleformat{\chapter}[display]
{\normalfont\bfseries\color{gray3}}
{\filleft%
	\begin{tikzpicture}
		\node[
		outer sep=0pt,
		text width=2.5cm,
		minimum height=3cm,
		fill=gray7,
		font=\color{white}\fontsize{80}{90}\selectfont,
		align=center
		] (num) {\thechapter};
		\node[
		rotate=90,
		anchor=south,
		font=\color{gray1}\Large\normalfont
		] at ([xshift=-5pt]num.west) {\textls[180]{\textsc{\chaptertitlename}}};  
	\end{tikzpicture}%
}
{10pt}
{\titlerule[2.5pt]\vskip3pt\titlerule\vskip4pt\LARGE\sffamily}

%   Reduce the margin of the summary:
\def\changemargin#1#2{\list{}{\rightmargin#2\leftmargin#1}\item[]}
\let\endchangemargin=\endlist 

%   Generate the environment for the abstract:
\newenvironment{abstract}%
	{
		\small\begin{center} \bfseries{\huge \textsc{Abstract}} \end{center}
		\markboth{}{}
		\phantomsection
		\addcontentsline{toc}{chapter}{Abstract}
		\small 
		\begin{changemargin}{2mm}{2mm}
	}
	{
		\end{changemargin}
	}

%   Generate the environment for the acknowledgement:
\newenvironment{acknowledgement}%
	{
		\small\begin{center} \bfseries{\huge \textsc{Acknowledgement}} \end{center}
		\markboth{}{}
		\phantomsection
		\addcontentsline{toc}{chapter}{Acknowledgement}
		\small 
		\begin{changemargin}{2mm}{2mm}
	}
	{
		\end{changemargin}
	}


\newcommand*{\supervisor}[1]{\gdef\@supervisor{#1}}
\newcommand*{\@supervisor}{\texttt{\string\supervisor} currently not set. Please fix this.}

\newcommand*{\faculty}[1]{\gdef\@faculty{#1}}
\newcommand*{\@faculty}{Faculty Council of Engineering \& Technology}

\newcommand*{\course}[1]{\gdef\@course{#1}}
\newcommand*{\@course}{Doctor of Philosophy (Engineering) }

\newcommand*{\department}[1]{\gdef\@department{#1}}
\newcommand*{\@department}{Department of Computer Science and Engineering}

\renewcommand*{\maketitle}{%
	\begin{titlepage}
		\centering
		\par\noindent\rule{\textwidth}{0.4pt}
%		\vspace{-3mm}
		{\huge\bfseries\@title\unskip\strut\par}
%		\vspace{3mm}
		\par\noindent\rule{\textwidth}{0.4pt}
		\par 
		\vspace{2cm}
		Thesis submitted by \par
		\vspace{1mm}
		{\LARGE\bfseries\itshape\@author\unskip\strut\par}
		\vspace{2cm}
		\vspace{1mm}
		{\Large\itshape\@course\unskip\strut\par}
        \vspace{3mm}
		\vfill
		{\Large \@department \\ \@faculty \\ Jadavpur University \\ Kolkata India \\ \the\year \unskip\strut\par}
		\vfill
	\end{titlepage}
}
\endinput


